package cn.kdan.pdf.tech.core.converter;

import cn.kdan.pdf.tech.core.enums.DeviceStatusEnum;
import com.alibaba.excel.converters.Converter;
import com.alibaba.excel.converters.ReadConverterContext;
import com.alibaba.excel.converters.WriteConverterContext;
import com.alibaba.excel.enums.CellDataTypeEnum;
import com.alibaba.excel.metadata.data.WriteCellData;
import org.apache.commons.lang.StringUtils;

public class AutoWrapConverter implements Converter<String> {
    @Override
    public Class<?> supportJavaTypeKey() {
        return String.class;
    }

    @Override
    public CellDataTypeEnum supportExcelTypeKey() {
        return CellDataTypeEnum.STRING;
    }

    /**
     * 这里读的时候会调用
     *
     * @param context
     * @return
     */
    @Override
    public String convertToJavaData(ReadConverterContext<?> context) {
        return context.getReadCellData().getStringValue();
    }

    /**
     * 这里是写的时候会调用 不用管
     *
     * @return
     */
    @Override
    public WriteCellData<?> convertToExcelData(WriteConverterContext<String> context) {
        if(StringUtils.isNotEmpty(context.getValue())){
            return new WriteCellData<>(context.getValue().replaceAll(",",String.valueOf((char)10)).replaceAll(";",String.valueOf((char)10)));
        }
        return new WriteCellData<>(context.getValue());
    }

}
