package cn.kdan.pdf.tech.core.enums;

/**
 * 序列码枚举类
 *
 * @author tangxiangan
 */
public enum DeviceStatusEnum {
    //设备状态 activated 1 expired license 4 on trial 2 expired on trial 3 unactivated 0 CANCELED 5
    UNACTIVATED(0,"Unactivated"),
    ACTIVE(1,"Activated"),
    EXPIRED(4,"Expired"),
    CANCELED(5,"Canceled");

    private Integer code;

    private String value;

    DeviceStatusEnum(Integer code,String value) {
        this.code = code;
        this.value = value;
    }


    public static DeviceStatusEnum getEnumByCode(Integer code) {
        for (DeviceStatusEnum type : DeviceStatusEnum.values()) {
            if (type.code().equals(code)) {
                return type;
            }
        }
        return null;
    }

    public Integer code() {
        return code;
    }

    public String value() {
        return value;
    }
}
