package cn.kdan.pdf.tech.core.enums;

/**
 * 序列码枚举类
 *
 * @author tangxiangan
 */
public enum LicenseCodeStatusEnum {
    //0已删除1未授权2已授权3已激活4已取消
    DELETED(0,"Deleted"),
    UNASSIGNED(1,"UnAssigned"),
    ASSIGNED(2,"Assigned"),
    ACTIVE(3,"Activated"),
    CANCELED(4,"Canceled"),
    EXPIRED(5,"Expired"),
    Refunded(6,"refunded"),
    // 未激活
    INACTIVATED(7,"Inactivated"),
    // 部分激活
    PARTIALLY_ACTIVATED(8,"Partially Activated"),
    ;


    private Integer code;

    private String value;

    LicenseCodeStatusEnum(Integer code,String value) {
        this.code = code;
        this.value = value;
    }


    public static LicenseCodeStatusEnum getEnumByCode(Integer code) {
        for (LicenseCodeStatusEnum type : LicenseCodeStatusEnum.values()) {
            if (type.code().equals(code)) {
                return type;
            }
        }
        return UNASSIGNED;
    }

    public Integer code() {
        return code;
    }

    public String value() {
        return value;
    }
}
