package cn.kdan.pdf.tech.core.enums;

/**
 * 序列码枚举类
 *
 * @author tangxiangan
 */
public enum MemberStatusEnum {

    DELETED("0","Deleted"),
    INVITED("2","Invited"),
    JOINED("1","Joined");

    private String code;

    private String value;

    MemberStatusEnum(String code, String value) {
        this.code = code;
        this.value = value;
    }


    public static MemberStatusEnum getEnumByCode(String code) {
        for (MemberStatusEnum type : MemberStatusEnum.values()) {
            if (type.code().equals(code)) {
                return type;
            }
        }
        return null;
    }

    public String code() {
        return code;
    }

    public String value() {
        return value;
    }
}
