package cn.kdan.pdf.tech.core.enums;

/**
 * 产品名称对应枚举类
 *
 * @author Bob
 */
public enum ProductNameEnum {

    MAC1("PDF Reader Pro","PDF Reader Pro for Mac"),
    WIN1("PDF Reader Pro for Windows","PDF Reader Pro for Windows"),
    MAC2("PDF Reader Pro for Mac (with PDF to Office)","PDF Reader Pro for Mac (With PDF to Office Pack)"),
    WIN2("PDF Reader Pro for Windows (with PDF to Office)","PDF Reader Pro for Windows (With PDF to Office Pack)"),
    CROSS1("PDF Reader Pro Permanent Cross-Platform Product","PDF Reader Pro Cross-Platform (With PDF to Office Pack)"),
    ;

    private final String databaseName;

    private final String viewName;

    ProductNameEnum(String databaseName, String viewName) {
        this.databaseName = databaseName;
        this.viewName = viewName;
    }

    public static ProductNameEnum getEnumByViewName(String viewName) {
        for (ProductNameEnum type : ProductNameEnum.values()) {
            if (type.viewName().equals(viewName)) {
                return type;
            }
        }
        return null;
    }

    public static ProductNameEnum getEnumByDatabaseName(String databaseName) {
        for (ProductNameEnum type : ProductNameEnum.values()) {
            if (type.databaseName().equals(databaseName)) {
                return type;
            }
        }
        return MAC1;
    }

    public String databaseName() {
        return databaseName;
    }

    public String viewName() {
        return viewName;
    }
}
