package cn.kdan.pdf.tech.core.enums;

import java.util.ArrayList;

/**
 * 权限枚举类
 *
 * @author tangxiangan
 */
public enum RoleEnum {
    //超级管理员
    SUPER_ADMIN("1"),
    //团队管理员
    TEAM_ADMIN("2"),
    //普通成员
    TEAM_MEMBER("3");

    private String code;

    RoleEnum(String code) {
        this.code = code;
    }


    public static RoleEnum getEnumByCode(String code) {
        for (RoleEnum type : RoleEnum.values()) {
            if (type.code() == code) {
                return type;
            }
        }
        return null;
    }

    public static ArrayList<RoleEnum> resolving(String[] valueStr) {
        ArrayList<RoleEnum> roleEnums = new ArrayList<>();
        for (String roleValue : valueStr){
            RoleEnum roleEnum = getEnumByCode(roleValue);
            if (roleEnum != null){
                roleEnums.add(roleEnum);
            }
        }
        return roleEnums;
    }

    public String code() {
        return code;
    }
}
