package cn.kdan.pdf.tech.core.mapper.ext;

import cn.kdan.pdf.tech.core.mapper.LicenseCodesMapper;
import cn.kdan.pdf.tech.core.model.LicenseCodes;
import cn.kdan.pdf.tech.core.pojo.vo.VppLicenseCodeVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author tangxiangan
 */
public interface ExtVppLicenseCodeMapper extends LicenseCodesMapper {

    /**
     * 序列码列表
     *
     * @param productId   产品id
     * @param teamId      团队id
     * @param status      序列码状态 0已删除1未授权2已授权3已激活4已取消
     * @param queryString 邮箱用户名或者序列码
     * @return List
     */
    List<VppLicenseCodeVO> listWithInfo(@Param("productId") Integer productId,
                                        @Param("teamIds") List<String> teamId,
                                        @Param("status") Integer status,
                                        @Param("queryString") String queryString);

    List<LicenseCodes> listBySubscriptionIds(@Param("subscriptionIds") List<String> subscriptionIds);


    /**
     * 序列码列表
     *
     * @param productId   产品id
     * @param companyId    公司id
     * @param status      序列码状态
     * @param queryString 邮箱用户名或者序列码
     * @return List
     */
    List<VppLicenseCodeVO> listWithInfoForReseller(@Param("productId") Integer productId,
                                                   @Param("status") Integer status,
                                                   @Param("queryString") String queryString,
                                                   @Param("companyId") String companyId);
}
