package cn.kdan.pdf.tech.core.pojo.dto;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * @desc 创建团队请求实体类
 * @author Bob
 */
@Data
public class CreateTeamDTO {

    /**
     * 团队名
     */
    @NotEmpty(message = "Missing required information")
    private String teamName;

    /**
     * 团队描述
     */
    private String teamDescription;

    /**
     * 团队管理员id
     */
    private List<String> teamAdminId;

    /**
     * 分配产品信息
     */
    private List<Product> productList;

    /**
     * 产品
     */
    @Data
    public static class Product {
        /**
         * 分配给该团队的产品id
         */
        private Integer productId;
        /**
         * 序列码数量
         */
        private Integer licenseNumber;
    }
}
