package cn.kdan.pdf.tech.core.pojo.vo;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * @desc 编辑团队获取信息返回实体
 * @author Bob
 */
@Data
public class TeamInfoVO {

    /**
     * 团队id
     */
    private String teamId;

    /**
     * 团队类型（1、默认，2、普通）
     */
    private Integer type;

    /**
     * 团队名
     */
    private String teamName;

    /**
     * 团队描述
     */
    private String teamDescription;

    /**
     * 团队管理员id
     */
    private List<Admin> teamAdminList;

    /**
     * 分配产品信息
     */
    private List<Product> productList;

    /**
     * 产品
     */
    @Data
    public static class Product {
        /**
         * 分配给该团队的产品id
         */
        private Integer productId;
        /**
         * 序列码数量
         */
        private Integer licenseNumber;
    }

    /**
     * 管理员
     */
    @Data
    public static class Admin {
        /**
         * 管理员id
         */
        private String adminId;
        /**
         * 管理员名
         */
        private String adminName;
    }
}
