package cn.kdan.pdf.tech.core.pojo.vo;

import cn.kdan.pdf.tech.core.converter.DeviceStatusConverter;
import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.enums.poi.HorizontalAlignmentEnum;
import lombok.Data;

import java.util.Date;

/**
 * @author tangxiangan
 */
@Data
@ContentStyle(horizontalAlignment= HorizontalAlignmentEnum.CENTER)
public class VppDeviceVO {

    /**
     * 设备序列码关联表id
     */
    @ExcelIgnore
    private String id;
    /**
     * 序列码id
     */
    @ExcelIgnore
    private String licenseCodeId;
    /**
     * 激活时间
     */
    @ExcelProperty(value = "Activated Date",index = 6)
    @ColumnWidth(34)
    private Date activeDate;
    /**
     * 过期时间
     */
    @ExcelProperty(value = "Expire Date",index = 7)
    @ColumnWidth(34)
    private Date expireDate;
    /**
     * 取消授权时间
     */
    @ExcelProperty(value = "Canceled Date",index = 8)
    @ColumnWidth(34)
    private Date canceledDate;
    /**
     * 设备uuid
     */
    @ExcelProperty(value = "UUID",index = 4)
    @ColumnWidth(34)
    private String uniqueSn;
    /**
     * 产品名
     */
    @ExcelProperty(value = "Product",index = 0)
    @ColumnWidth(50)
    private String productName;
    /**
     * 用户名
     */
    @ExcelProperty(value = "User Name",index = 1)
    @ColumnWidth(40)
    private String memberName;
    /**
     * 邮箱
     */
    @ExcelProperty(value = "Email",index = 2)
    @ColumnWidth(34)
    private String email;
    /**
     * 团队名
     */
    @ExcelProperty(value = "Team",index = 3)
    @ColumnWidth(34)
    private String teamName;

    /**
     * 设备状态activated 1 expired license 4 on trial 2 expired on trial 3 unactivated 0
     */
    @ExcelProperty(converter = DeviceStatusConverter.class,value = "Status",index = 5)
    @ColumnWidth(34)
    private Integer status;

    @ExcelIgnore
    private String code;

}
