package cn.kdan.pdf.tech.core.pojo.vo;

import cn.kdan.pdf.tech.core.converter.DeviceStatusConverter;
import cn.kdan.pdf.tech.core.converter.LicenseCodeStatusConverter;
import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.enums.poi.HorizontalAlignmentEnum;
import com.alibaba.excel.enums.poi.VerticalAlignmentEnum;
import lombok.Data;

import java.util.Date;

/**
 * @author tangxiangan
 */
@Data
@ContentStyle(horizontalAlignment= HorizontalAlignmentEnum.CENTER)
public class VppLicenseCodeVO {

    /**
     * 序列码id
     */
    @ExcelIgnore
    private String id;
    /**
     * 产品名字
     */
    @ExcelProperty("Product")
    @ColumnWidth(50)
    private String productName;
    /**
     * 用户名
     */
    @ExcelProperty("User Name")
    @ColumnWidth(18)
    private String userName;
    /**
     * 邮箱
     */
    @ExcelProperty("Email")
    @ColumnWidth(40)
    private String email;
    /**
     *
     */
    @ExcelProperty("Team")
    @ColumnWidth(22)
    private String teamName;
    /**
     * 序列码
     */
    @ExcelProperty("License Code")
    @ColumnWidth(34)
    private String cdkey;

    /**
     * 0已删除1未授权2已授权3已激活4已取消5已过期
     */
    @ExcelProperty(value = "Status",converter = LicenseCodeStatusConverter.class)
    @ColumnWidth(16)
    private Integer validFlag;
    /**
     * 更新时间
     */
    @ExcelProperty("Operated Date")
    @ColumnWidth(34)
    private Date updatedAt;
    /**
     * 结束时间
     */
    @ExcelProperty("Expiration Date")
    @ColumnWidth(34)
    private Date endDate;


    /**
     * 可激活设备量
     */
    @ExcelProperty("Remaining Activatable Devices")
    @ColumnWidth(22)
    private Integer availableDevices;
    /**
     * 已激活设备量
     */
    @ExcelProperty("Number of Activated Devices")
    @ColumnWidth(22)
    private Integer activatedDevices;

    /**
     * 产品code
     */
    @ExcelIgnore
    private String productCode;

}
