package cn.kdan.pdf.tech.core.service;


import cn.kdan.pdf.tech.core.model.Products;
import cn.kdan.pdf.tech.core.pojo.vo.ProductListVO;
import cn.kdan.pdf.tech.core.pojo.vo.ProductSimpleVO;

import java.util.List;

/**
 * 用户service
 *
 * @author tangxiangan
 */
public interface ProductService {

    /**
     * 获取团队下的产品
     *
     * @param teamId 团队id
     * @return List
     */
    List<ProductSimpleVO> listWithSimpleInfo(String teamId);

    /**
     * 获取产品
     *
     * @param productId 产品id
     * @return Products
     */
    Products getById(Integer productId);

    Products getByName(String productName);

    List<Products> getByCodeList(List<String> codeList);

    /**
     * 获取用户管理的团队的产品
     *
     * @return
     */
    List<ProductListVO> listWithAdmin();

    /**
     * 获取用户公司的团队的产品
     * @return
     */
    List<ProductListVO> listWithAll();
}
