package cn.kdan.pdf.tech.core.service;


import cn.kdan.pdf.tech.core.pojo.vo.*;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestParam;
import pojo.ResultMap;

import java.util.List;

/**
 * @author Bob
 * Dashboard数据查询接口
 */
public interface VppDashboardService {

    DashboardOverviewVO getOverview();

    /**
     * 获取全局预览数据，区分产品
     * 区分超管和团队管理员权限
     * @param codeList 产品编码
     * @return DashboardOverviewVO
     */
    DashboardOverviewProductVO getOverviewProduct(List<String> codeList);

    /**
     * 获取图表数据
     * 不区分账户权限
     * @param type 1today,2last 7 days,3last 30 days,4this month
     * @return DashboardChartStatisticVO
     */
    List<DashboardChartStatisticVO> getChartStatistics(Integer type);

    /**
     * 获取团队数据
     * @return
     */
    DashboardTeamDataVO getTeamData();

    /**
     * 获取团队成员数据
     * 区分超管和团队管理员权限
     * @return DashboardTeamMemberVO
     */
    DashboardTeamMemberVO getTeamMemberData(List<String> codeList, String teamId);

}
