package cn.kdan.pdf.tech.core.utils;

import java.util.concurrent.*;

/**
 * @author Bob 2023-03-24
 * 单例线程池工具类
 **/
public class ThreadPoolSingleUtil {

    private static volatile ThreadPoolSingleUtil instance = null;
    private ThreadPoolExecutor executor = null;

    private ThreadPoolSingleUtil() {
        this.executor = new ThreadPoolExecutor(5, 20, 60, TimeUnit.SECONDS,
                new SynchronousQueue());
    }

    public static ThreadPoolSingleUtil getInstance() {
        if (instance == null) {
            synchronized (ThreadPoolSingleUtil.class) {
                if (instance == null) {
                    instance = new ThreadPoolSingleUtil();
                }
            }
        }
        return instance;
    }

    public void excute(Runnable runnable) {
        this.executor.execute(runnable);
    }
}
